<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE topic PUBLIC "-//OASIS//DTD DITA Topic//EN" "topic.dtd">
<topic id="additional-xproc-engine">
  <title>Additional XProc Engine Plugin Extension </title>
  <shortdesc>This type of <xref keyref="glossentry_plugin"><term>plugin</term></xref> contributes a
    folder that contains an external XProc engine.</shortdesc>
  <prolog>
    <metadata>
      <keywords>
        <indexterm>Plugin extensions<indexterm>Additional XProc engine</indexterm></indexterm>
        <indexterm>Additional XProc engine plugin extension</indexterm>
      </keywords>
    </metadata>
  </prolog>
  <body>
    <p id="p_nj2_dgk_54b">The name of the <term>plugin</term> extension is
          <b><term>AdditionalXprocEngine</term></b> and it makes it easier to <xref
        href="xproc-API-external-engine.dita#xproc-API-external-engine">integrate an external XProc
        engine</xref>. After the plugin is installed, when you run an XProc transformation scenario,
      your external XProc engine can be selected from the <uicontrol>Processor</uicontrol> drop-down
      menu in the <uicontrol>XProc</uicontrol> tab.</p>
    <p id="p_oj2_dgk_54b">An example of the <filepath>plugin.xml</filepath> file looks like
      this:<codeblock  id="codeblock_pj2_dgk_54b">&lt;plugin
 id="morgana.xproc.addon"
 name="Contribute Morgana XProc"
 description="Contribute Morgana XProc"
 version="1.0"
 vendor="Syncro Soft"
 class="ro.sync.exml.plugin.Plugin"
 classLoaderType="preferReferencedResources">
 &lt;extension type="AdditionalXProcEngine" path="MorganaXProcEngine/">&lt;/extension>
&lt;/plugin></codeblock></p>
    <p id="p_qj2_dgk_54b">The <xmlatt>path</xmlatt> attribute points to the XProc engine folder that contains the
        <filepath>engine.xml</filepath> and all the libraries necessary to run it.</p>
  </body>
</topic>
